Subject: Ticket Assigned - 9579201721/ late delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Mon, 25 Jul 2022 10:28:37 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9579201721/ late delivery Moonstar77                    Hi           02:43 PM, 23rd Jul                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           02:43 PM, 23rd Jul                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            02:43 PM, 23rd Jul                     Moonstar77                    Any updates on my items?           02:44 PM, 23rd Jul                   Alhamzi                   Hi, thank you for contacting us. This's Alhamzi We would be happy to help you.           02:45 PM, 23rd Jul                   Alhamzi                   Could you please share your order number so that I can assist you further?           02:45 PM, 23rd Jul                     Moonstar77                             02:45 PM, 23rd Jul                     Moonstar77                    Scheduled today. But where is it?           02:46 PM, 23rd Jul                   Alhamzi                   Please confirm if the following phone number is correct: 971529432721           02:48 PM, 23rd Jul                     Moonstar77                    Correct           02:49 PM, 23rd Jul                     Moonstar77                    This is my whatsPp number too. U may check now.           02:49 PM, 23rd Jul                   Alhamzi                   Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.             02:51 PM, 23rd Jul                   Alhamzi                   Do you have any other inquiries that we can help with?           02:51 PM, 23rd Jul                     Moonstar77                    This is not my first transaction with homebox.           02:52 PM, 23rd Jul                     Moonstar77                    I am bothered about the delays           02:52 PM, 23rd Jul                   Alhamzi                   Sorry for this has happened with you. surely this is not the experience we wants our customer to have.  Kindly note that we have escalated this issue to the concern team for this not to happen again.     Thank you for you understanding and cooperation           02:53 PM, 23rd Jul                   Alhamzi                   We would like to let you know that we have informed our team to make your complain of their priority and they will take action soon. Your patience is appreciable            02:54 PM, 23rd Jul                   Alhamzi                   Do you have any other inquiries that we can help with?           02:54 PM, 23rd Jul                     Moonstar77                             02:55 PM, 23rd Jul                     Moonstar77                    Any connection with this company? I received a call from them.           02:55 PM, 23rd Jul                   Alhamzi                   kindly note that we deal with different courier complanies           03:03 PM, 23rd Jul                   Alhamzi                   companies*           03:03 PM, 23rd Jul                   Alhamzi                   we will inform them to deliver your order ASAP           03:03 PM, 23rd Jul                   Alhamzi                   Do you have any other inquiries that we can help with?           03:03 PM, 23rd Jul                     Moonstar77                    Hi! U didnt answer my question.  Is rna resources group limit one of your courier?           03:04 PM, 23rd Jul                   Alhamzi                   no           03:05 PM, 23rd Jul                   Alhamzi                   Do you have any other inquiries that we can help with?           03:05 PM, 23rd Jul                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           03:06 PM, 23rd Jul                     Moonstar77                    So why they contact me and ask if items delivered or no?           03:06 PM, 23rd Jul                   Alhamzi                   It may be one of the couriers representives           03:07 PM, 23rd Jul                   Alhamzi                   you do not need to worry           03:07 PM, 23rd Jul                   Alhamzi                   We will follow it from our side           03:07 PM, 23rd Jul                   Alhamzi                   Do not hesitate to contact us for more assistance            03:08 PM, 23rd Jul                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4646558